From 6e85e97fbb72500559bec8b632c862e2968ef626 Mon Sep 17 00:00:00 2001
From: sezero <sezero@users.sourceforge.net>
Date: Fri, 13 Jan 2017 18:20:35 +0300
Subject: [PATCH] flac/utils.c (strlen_console): workaround for DJGPP missing
 wcswidth()

---
 src/flac/utils.c | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/src/flac/utils.c b/src/flac/utils.c
index 4dfe2c4..c2f5520 100644
--- a/src/flac/utils.c
+++ b/src/flac/utils.c
@@ -197,6 +197,8 @@ size_t strlen_console(const char *text)
 {
 #ifdef _WIN32
 	return strlen_utf8(text);
+#elif defined(__DJGPP__) /* workaround for DJGPP missing wcswidth() */
+	return strlen(text);
 #else
 	size_t len;
 	wchar_t *wtmp;
-- 
1.8.5.5

